io.milvus.param.highlevel.dml.response

## Class SearchResponse

- java.lang.Object
- - io.milvus.param.highlevel.dml.response.SearchResponse

    public class SearchResponse
    extends java.lang.Object

Parameters for `search` interface.

### Field Summary

Fields
`java.util.List<java.util.List<QueryResultsWrapper.RowRecord>>` `rowRecords`

### Constructor Summary

Constructors
Constructor and Description
`SearchResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.util.List<QueryResultsWrapper.RowRecord>` `getRowRecords()` Deprecated.
`java.util.List<QueryResultsWrapper.RowRecord>` `getRowRecords(int indexOfTarget)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rowRecords

    public java.util.List<java.util.List<QueryResultsWrapper.RowRecord>> rowRecords

### Constructor Detail

#### SearchResponse

    public SearchResponse()

### Method Detail

#### getRowRecords

    @Deprecated
    public java.util.List<QueryResultsWrapper.RowRecord> getRowRecords()

Deprecated.
In old versions(less or equal than v2.3.2), this method only returns results of the first target vector Mark is as deprecated, keep it to compatible with the legacy code

Returns:
  List of `QueryResultsWrapper.RowRecord`

#### getRowRecords

    public java.util.List<QueryResultsWrapper.RowRecord> getRowRecords(int indexOfTarget)